2 Replies Latest reply on May 19, 2015 1:10 PM by Amit Gupta

    Warnings displayed when using groovy-2.0.0 jar

    Zemian Deng Apprentice

      Hi there,

       

      I have a simple webapp (war) that has groovy-jsr223 version 2.0.0 dependency. When I deploy my war file into JBossAS 7.1.1, I see these warnings:

       

      13:34:02,200 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-3) JBAS015893: Encountered invalid class name 'moduleName=groovy-jsr223' for service type 'org.codehaus.groovy.runtime.ExtensionModule'

      13:34:02,200 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-3) JBAS015893: Encountered invalid class name 'moduleVersion=2.0.0' for service type 'org.codehaus.groovy.runtime.ExtensionModule'

      13:34:02,200 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-3) JBAS015893: Encountered invalid class name 'extensionClasses=org.codehaus.groovy.jsr223.ScriptExtensions' for service type 'org.codehaus.groovy.runtime.ExtensionModule'

      13:34:02,215 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-3) JBAS015893: Encountered invalid class name 'staticExtensionClasses=org.codehaus.groovy.jsr223.ScriptStaticExtensions' for service type 'org.codehaus.groovy.runtime.ExtensionModule'

       

      Despite these warnings, my app is working as expected. So what these warnings mean, and how do I avoid them?

       

      Thanks,

      Zemian